#! /usr/bin/env dcli

import 'package:dcli/dcli.dart';
import 'package:dcli/src/pubspec/global_dependencies.dart';

/// dcli script generated by:
/// dcli create add_override.dart
///
/// See
/// https://pub.dev/packages/dcli#-installing-tab-
///
/// For details on installing dcli.
///

void main() {
  // activate_local lives in the tool directory
  // so its parent directory should be the dcli package root.
  var dcliPackageRoot = canonicalize(absolute('..'));

  var dependency = join(Settings().pathToDCli, GlobalDependencies.filename);

  if (exists(dependency)) {
    delete(dependency);
  }

  // make certain all script see the new settings.
  '${DCliPaths().dcliName} install -nc'.run;

  dependency.append('dependency_overrides:');
  dependency.append('  dcli:');
  dependency.append('    path: $dcliPackageRoot');

  print(GlobalDependencies.filename);
  cat(dependency);
}
